--- ircd-hybrid-7.0/include/config.h	2003-12-14 02:18:47.000000000 +0100
+++ ircd-hybrid-7.0/include/config.h	2003-12-14 02:29:01.000000000 +0100
@@ -27,6 +27,8 @@
 
 #include "setup.h"
 
+#define IRC_UID	75
+#define IRC_GID	75
 
 /*
  * IRCD-HYBRID-7 COMPILE TIME CONFIGURATION OPTIONS
@@ -92,6 +94,7 @@
 #define BINPATH         "IRCD$BINDIR:"
 #define ETCPATH         "IRCD$CONFDIR:"
 #define LOGPATH         "IRCD$LOGDIR:"
+#define RUNPATH		"IRCD$RUNDIR:"
 
 #undef  MODPATH
 #undef  AUTOMODPATH
@@ -106,7 +109,7 @@
 #define RPATH   ETCPATH "IRCD.RSA"              /* RSA private key file */
 #define MPATH   ETCPATH "IRCD.MOTD"             /* MOTD filename */
 #define LPATH   LOGPATH "IRCD.LOG"              /* logfile */
-#define PPATH   ETCPATH "IRCD.PID"              /* pid file */
+#define PPATH   RUNPATH "IRCD.PID"              /* pid file */
 #define HPATH   ETCPATH "OPERS.TXT"             /* oper help file */
 #define UHPATH  ETCPATH "USERS.TXT"             /* user help file */
 #define OPATH   ETCPATH "OPERS.MOTD"            /* oper MOTD file */
@@ -132,15 +135,16 @@
  */
 
 /* dirs */
-#define DPATH   IRCD_PREFIX                                                     
-#define BINPATH IRCD_PREFIX "/bin/"
-#define MODPATH IRCD_PREFIX "/modules/"
-#define AUTOMODPATH IRCD_PREFIX "/modules/autoload/"
-#define MSGPATH IRCD_PREFIX "/messages/"
-#define ETCPATH IRCD_PREFIX "/etc"
-#define LOGPATH IRCD_PREFIX "/logs"
-#define UHPATH   IRCD_PREFIX "/help/users"
-#define HPATH  IRCD_PREFIX "/help/opers"
+#define DPATH		"/etc/ircd/"                                                  
+#define BINPATH		"/usr/sbin"
+#define MODPATH		"/usr/lib/ircd/modules"
+#define AUTOMODPATH	MODPATH "/autoload"
+#define MSGPATH		"/usr/share/locale"
+#define ETCPATH		"/etc/ircd"
+#define LOGPATH		"/var/log/ircd"
+#define HPATH		"/usr/lib/ircd/help/opers"
+#define UHPATH	        "/usr/lib/ircd/help/users"
+#define RUNPATH		"/var/run/ircd"
 
 /* files */
 #define SPATH   BINPATH "/ircd"                 /* ircd executable */
@@ -152,7 +156,7 @@
 #define RPATH   ETCPATH "/ircd.rsa"             /* ircd rsa private keyfile */
 #define MPATH   ETCPATH "/ircd.motd"            /* MOTD file */
 #define LPATH   LOGPATH "/ircd.log"             /* ircd logfile */
-#define PPATH   ETCPATH "/ircd.pid"             /* pid file */
+#define PPATH   RUNPATH "/ircd.pid"             /* pid file */
 #define OPATH   ETCPATH "/opers.motd"           /* oper MOTD file */
 #define LIPATH  ETCPATH "/links.txt"            /* cached links file */
 #endif /* !VMS */
@@ -160,7 +164,7 @@
 /* WANT_GETTEXT - toggle gettext support.
  * NOTE: if configure doesn't detect gettext, this won't do anything.
  */
-#define WANT_GETTEXT
+#undef WANT_GETTEXT
  
 /* Ignore bogus timestamps from other servers. Yes this will desync
  * the network, but it will allow chanops to resync with a valid non TS 0
--- ircd-hybrid-7.0/doc/simple.conf~	2003-04-05 03:37:56.000000000 +0200
+++ ircd-hybrid-7.0/doc/simple.conf	2004-01-02 21:55:42.000000000 +0100
@@ -1,19 +1,31 @@
-# Hybrid 7 minimal example configuration file
-#
-# $Id: ircd-hybrid-config.patch,v 1.1 2004/02/16 17:15:10 dude Exp $
-#
 # This is a basic ircd.conf that will get your server running with
 # little modification.  See the example.conf for more specific 
-# information.
-# 
+# information. 
 # The serverinfo block sets up your server's name.  Fields that may
 # be set are the name, description, vhost, network_name, network_desc,
 # and hub.
 
 serverinfo {
-	name="irc.example.com";
-	description="Test IRC Server";
+	name="some-a.server";
+	description="Server IRC";
+	network_name="ExampleNet";
+	network_desc="Example Network";			
 	hub=no;
+	#vhost="80.49.102.140";
+	#vhost6="3ffe:80e8:546::2";
+	#max_clients=512;
+        /* rsa key: the path to the file containing our rsa key for cryptlink.
+         *
+         * Example command to store a 2048 bit RSA keypair in
+         * rsa.key, and the public key in rsa.pub:
+         *
+         *      openssl genrsa -out rsa.key 2048
+         *      openssl rsa -in rsa.key -pubout -out rsa.pub
+         *      chown <ircd-user>.<ircd.group> rsa.key rsa.pub
+         *      chmod 0600 rsa.key
+         *      chmod 0644 rsa.pub
+         */
+        #rsa_private_key_file="/etc/ircd/rsa.key";
 };
 
 # The administrator block sets up the server administrator information,
@@ -21,34 +33,41 @@
 # are required.
 
 administrator {
-	description="Example, Inc Test IRC Server";
-	name="John Doe";
-	email="jdoe@example.com";
+        description="IRC Operator";
+        name="antic";
+        email="antic@tuchow.one.pl";
 };
-
+			
 # Class blocks define the "privileges" that clients and servers get when they
 # connect.  Ping timing, sendQ size, and user limits are all controlled by
 # classes.  See example.conf for more information
-
 # Note:  to avoid having possible problems later, define class blocks
 #        before anything that uses them (auth, connect, operator)
 
 class {
 	name="users";
-	ping_time=90;
-	number_per_ip=0;
+	ping_time=90 seconds;
+	number_per_ip=4;
 	max_number=200;
 	sendq=100000;
 };
 
 class {
 	name="opers";
-	ping_time=90;
-	number_per_ip=0;
+	ping_time=90 seconds;
+	number_per_ip=4;
 	max_number=10;
 	sendq=500000;
 };
 
+class {
+        name="server";
+        ping_time=5 minutes;
+        connectfreq=15 minutes;
+        max_number=5;
+        sendq=1 megabytes;
+};
+	
 # Auth blocks define who can connect and what class they are put into.
 
 auth {
@@ -59,42 +78,48 @@
 # Operator blocks define who is able to use the OPER command and become IRC
 # operators.  The necessary fields are the user@host, oper nick name, and
 # the password, encrypted with the mkpasswd program provided.
-
+# /usr/lib/ircd/tools/mkpasswd
 operator {
-	name="JohnDoe";
-	user="*@*.example.com";
-	password="yl9xlY019Bbfc";
-	class="opers";
+        name="op_user";
+	user="op_user@127.0.0.1";
+        password="nZtmzjqsTUXwM";
+        class="opers";
+	global_kill=yes;
+        remote=yes;
+        kline=yes;
+        unkline=yes;
+        gline=yes;
+        die=yes;
+        rehash=yes;
+        nick_changes=yes;
+        admin=yes;
 };
-
+				
 # Listen blocks define what ports your server will listen to client and
 # server connections on.  ip is an optional field (Essential for virtual
 # hosted machines.)
 
 listen {
-	port=6667;
-};
-
-# Quarantine blocks deny certain nicknames from being used.
-
-quarantine {
-	nick="dcc-*";
-	reason="DCC bots are not permitted on this server";
-};
-
-quarantine {
-	nick="LamestBot";
-	reason="You have to be kidding me!";
-};
-
-quarantine {
-	nick="NickServ";
-	reason="There are no Nick Services on this Network";
+        /* port: the specific port to listen on.  if no host is specified
+         * before, it will listen on all available IPs.
+         *
+         * ports are seperated via a comma, a range may be specified using ".."
+         */
+
+        /* port: listen on all available IPs, ports 6665 to 6669 */
+         #port=6665 .. 6669;
+
+        /* host: set a specific IP/host the ports after the line will listen
+         * on.  This may be ipv4 or ipv6.
+         */
+         #host="1.2.3.4";
+         #port=7000, 7001;
+
+         #host="aaa:bbb:ccc:dddd:eee::111";
+         #port=7002;
+	 port=6667;
 };
 
-# The general block contains most of the configurable options that were once
-# in config.h.  The most important ones are below.  For the rest, please see
-
 # NOTE TO DEVELOPERS:  Do we set defaults for the variables in the general
 #                      block?  If so, then I can leave out most of the things
 #                      in here and make it simpler to configure.  If not, 
@@ -104,10 +129,95 @@
 	anti_nick_flood=yes;
 	max_nick_time=20;
 	max_nick_changes=5;
-
+	/* ts delta: the time delta allowed between server clocks before
+	* a warning is given, or before the link is dropped.  all servers
+	* should run ntpdate/rdate to keep clocks in sync
+	*/
+	#ts_warn_delta=800 seconds;
+	#ts_max_delta=60 minutes;
+	fname_userlog="/var/log/ircd/user.log";
+	fname_operlog="/var/log/ircd/oper.log";
+	fname_foperlog="/var/log/ircd/foper.log";			
+	# servlink_path="/usr/sbin/servlink";
 	# Show extra warnings when servers connections cannot succeed
 	# because of no "N" line (a misconfigured connect block)
 	warn_no_nline=yes;
 };
 
+logging {
+        /* log level: the amount of detail to log in ircd.log.  The
+        * higher, the more information is logged.  May be changed
+        * once the server is running via /quote SET LOG.  Either:
+        * L_CRIT, L_ERROR, L_WARN, L_NOTICE, L_TRACE, L_INFO or L_DEBUG
+        */
+        log_level=L_NOTICE;
+};
+						    
 # There are many more configurable options.  See example.conf for the rest
+# /usr/share/doc/ircd-hybrid-7.0/example.conf.gz
+# /usr/share/doc/ircd-hybrid-7.0/example.efnet.conf.gz
+#
+
+#connect {
+        #name="some-b.server";
+        #host="1.2.3.5";
+        ##port=6677;
+        #send_password="abcd";
+        #accept_password="abcd";
+        #encrypted=no;
+        #class="server";
+        #autoconn=yes;
+        #hub_mask="*";
+#};
+
+#connect {
+        #name="ipv6.some.server";
+        #host="3ffd:dead:beef::1";
+        #send_password="password";
+        #accept_password="password";
+        #port=6666;
+
+        /* aftype: controls whether the connection uses "ipv4" or "ipv6".
+         * Default is ipv4.
+         */
+        #aftype=ipv6;
+        #class="server";
+#};
+
+#connect {
+         #name="encrypted.auth.example";
+         #host="some.host.somewhere";
+         #port=6667;
+
+        /* cryptlink: enable full encryption for all data passing between our
+         * server and this link and rsa authentication.
+         */
+         #cryptlink=yes;
+
+        /* rsa key: the path to the public keyfile of the server.  Used instead
+         * of passwords.
+         */
+         #rsa_public_key_file="/etc/ircd/remote.server.keyfile";
+
+        /* cipher preference: set the preferred cipher for this link
+         *
+         * Available ciphers are:
+         *      BF/168 BF/128 CAST/128 IDEA/128 RC5.16/128
+         *      RC5.12/128 RC5.8/128 3DES/168 DES/56
+         *
+         * NOTE:  Some ciphers may not be supported by your OpenSSL.
+         *        Check the output from 'configure' for available ciphers.
+         *
+         * NOTE2: To help you decide what cipher to use, tools/encspeed
+         *        will show you approximately how fast each cipher is.
+         *        However, blowfish is fast and secure, and is probably
+         *        a good default for most situations.
+         *
+         * NOTE3: Default if none is set is BF/128
+         *
+         * The cipher *MUST* be the same in both directions.  If you
+         * set a cipher preference, your uplink must set the same cipher,
+         * else it will not link.
+         */
+        #cipher_preference="BF/168";
+#};
